Quassel IRC - Bug #1135

System tray single click behaviour
01/28/2012 01:32 PM - parapente

Status: Resolved Start date: 01/28/2012
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Quassel GUI (Qt) Estimated time: 0.00 hour
Target version: 0.7.4

Version: 0.7.3 0S: Linux
Description

When the quassel window is below other windows it would be nice to have it raised on top of the others when clicking on the system
tray icon. Now it is just hidden and you have to click on it once more to get it to the top. This is on a quassel client that was build

without kde support. The attached patch seem to fix it.

Associated revisions

Revision 7a1f4908421fe7e542940aae057eeaf33b301¢c92 - 01/29/2012 11:52 PM - Manuel Nickschas
Bring Quassel to front on tray icon click

When the quassel window is below other windows it would be nice to have it raised on top of
the others when clicking on the system tray icon. Now it is just hidden and you have to click
on it once more to get it to the top.

Fixes #1135. Thanks to parapente for the patch!

Revision 7a1f4908 - 01/29/2012 11:52 PM - Manuel Nickschas

Bring Quassel to front on tray icon click

When the quassel window is below other windows it would be nice to have it raised on top of
the others when clicking on the system tray icon. Now it is just hidden and you have to click
on it once more to get it to the top.

Fixes #1135. Thanks to parapente for the patch!

Revision 4b262edd4ca547f5beac7226a2b66d05bacfea56 - 01/29/2012 11:57 PM - Manuel Nickschas
Bring Quassel to front on tray icon click

When the quassel window is below other windows it would be nice to have it raised on top of
the others when clicking on the system tray icon. Now it is just hidden and you have to click
on it once more to get it to the top.

Fixes #1135. Thanks to parapente for the patch!

Revision 4b262edd - 01/29/2012 11:57 PM - Manuel Nickschas

Bring Quassel to front on tray icon click

When the quassel window is below other windows it would be nice to have it raised on top of
the others when clicking on the system tray icon. Now it is just hidden and you have to click

on it once more to get it to the top.

Fixes #1135. Thanks to parapente for the patch!

History

#1 - 01/30/2012 04:09 AM - Sputnick
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset 4b262edd4ca547f5beac7226a2b66d05bacfea56.
https://wiki.quassel-irc.org/projects/quassel-irc/repository/revisions/4b262edd4ca547f5beac7226a2b66d05bacfea56

#2 - 01/30/2012 08:11 AM - johu

- Target version set to 0.7.4

Files

systray.patch 505 Bytes 01/28/2012 parapente
